Index: trunk/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 2528)
@@ -2,20 +2,21 @@
    !!==============================================================================
    !!                       ***  MODULE  traadv_qck  ***
-   !! Ocean active tracers:  horizontal & vertical advective trend
+   !! Ocean tracers:  horizontal & vertical advective trend
    !!==============================================================================
    !! History :  3.0  !  2008-07  (G. Reffray)  Original code
+   !!            3.3  !  2010-05  (C.Ethe, G. Madec)  merge TRC-TRA + switch from velocity to transport
    !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
-   !!   tra_adv_qck      : update the tracer trend with the horizontal advection
-   !!                      trends using a 3rd order finite difference scheme
-   !!   tra_adv_qck_i  : 
-   !!   tra_adv_qck_j  : 
+   !!   tra_adv_qck    : update the tracer trend with the horizontal advection
+   !!                    trends using a 3rd order finite difference scheme
+   !!   tra_adv_qck_i  : apply QUICK scheme in i-direction
+   !!   tra_adv_qck_j  : apply QUICK scheme in j-direction
    !!   tra_adv_cen2_k : 2nd centered scheme for the vertical advection
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and active tracers
    USE dom_oce         ! ocean space and time domain
-   USE trdmod          ! ocean active tracers trends 
-   USE trdmod_oce      ! ocean variables trends
+   USE trdmod_oce      ! ocean space and time domain
+   USE trdtra          ! ocean tracers trends 
    USE trabbl          ! advective term in the BBL
    USE lib_mpp         ! distribued memory computing
@@ -24,5 +25,5 @@
    USE in_out_manager  ! I/O manager
    USE diaptr          ! poleward transport diagnostics
-   USE prtctl          ! Print control
+   USE trc_oce         ! share passive tracers/Ocean variables
 
    IMPLICIT NONE
@@ -31,6 +32,6 @@
    PUBLIC   tra_adv_qck   ! routine called by step.F90
 
-   REAL(wp), DIMENSION(jpi,jpj) ::   btr2
-   REAL(wp)                     ::   r1_6
+   LOGICAL  :: l_trd           ! flag to compute trends
+   REAL(wp) :: r1_6 = 1./ 6.   ! 1/6 ratio
 
    !! * Substitutions
@@ -38,12 +39,12 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
-   SUBROUTINE tra_adv_qck( kt, pun, pvn, pwn )
+   SUBROUTINE tra_adv_qck ( kt, cdtype, p2dt, pun, pvn, pwn,      &
+      &                                       ptb, ptn, pta, kjpt )
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE tra_adv_qck  ***
@@ -69,5 +70,5 @@
       !!         dt = 2*rdtra and the scalar values are tb and sb
       !!
-      !!       On the vertical, the simple centered scheme used tn and sn
+      !!       On the vertical, the simple centered scheme used ptn
       !!
       !!               The fluxes are bounded by the ULTIMATE limiter to
